LPCOpen Platform for LPC18XX/43XX microcontrollers: LPC_USBHS_T Struct Reference

| LPCOpen Platform for LPC18XX/43XX microcontrollers 18XX43XX LPCOpen Platform for the NXP LPC18XX/43XX family of Microcontrollers

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
LPC_USBHS_T Struct Reference
CHIP: LPC18xx/43xx USBHS Device, Host, & OTG driver

## Detailed Description

USB High-Speed register block structure.

Definition at line 47 of file usbhs_18xx_43xx.h.

`#include "usbhs_18xx_43xx.h"`

## Data Fields
__I uint32_t | RESERVED0 [64]
__I uint32_t | CAPLENGTH
__I uint32_t | HCSPARAMS
__I uint32_t | HCCPARAMS
__I uint32_t | RESERVED1 [5]
__I uint32_t | DCIVERSION
__I uint32_t | RESERVED2 [7]
union {
__IO uint32_t USBCMD_H
__IO uint32_t USBCMD_D
}; |
union {
__IO uint32_t USBSTS_H
__IO uint32_t USBSTS_D
}; |
union {
__IO uint32_t USBINTR_H
__IO uint32_t USBINTR_D
}; |
union {
__IO uint32_t FRINDEX_H
__I uint32_t FRINDEX_D
}; |
__I uint32_t | RESERVED3
union {
__IO uint32_t PERIODICLISTBASE
__IO uint32_t DEVICEADDR
}; |
union {
__IO uint32_t ASYNCLISTADDR
__IO uint32_t ENDPOINTLISTADDR
}; |
__IO uint32_t | TTCTRL
__IO uint32_t | BURSTSIZE
__IO uint32_t | TXFILLTUNING
__I uint32_t | RESERVED4 [2]
__IO uint32_t | ULPIVIEWPORT
__IO uint32_t | BINTERVAL
__IO uint32_t | ENDPTNAK
__IO uint32_t | ENDPTNAKEN
__I uint32_t | RESERVED5
union {
__IO uint32_t PORTSC1_H
__IO uint32_t PORTSC1_D
}; |
__I uint32_t | RESERVED6 [7]
__IO uint32_t | OTGSC
union {
__IO uint32_t USBMODE_H
__IO uint32_t USBMODE_D
}; |
__IO uint32_t | ENDPTSETUPSTAT
__IO uint32_t | ENDPTPRIME
__IO uint32_t | ENDPTFLUSH
__I uint32_t | ENDPTSTAT
__IO uint32_t | ENDPTCOMPLETE
__IO uint32_t | ENDPTCTRL [6]

## Field Documentation

union { ... }

union { ... }

union { ... }

union { ... }

union { ... }

union { ... }

union { ... }

union { ... }

__IO uint32_t ASYNCLISTADDR

Address of endpoint list in memory (host mode)

Definition at line 82 of file usbhs_18xx_43xx.h.

__IO uint32_t BINTERVAL

Length of virtual frame

Definition at line 91 of file usbhs_18xx_43xx.h.

__IO uint32_t BURSTSIZE

Programmable burst size

Definition at line 87 of file usbhs_18xx_43xx.h.

__I uint32_t CAPLENGTH

Capability register length

Definition at line 49 of file usbhs_18xx_43xx.h.

__I uint32_t DCIVERSION

Device interface version number

Definition at line 53 of file usbhs_18xx_43xx.h.

__IO uint32_t DEVICEADDR

USB device address

Definition at line 78 of file usbhs_18xx_43xx.h.

__IO uint32_t ENDPOINTLISTADDR

Address of endpoint list in memory (device mode)

Definition at line 83 of file usbhs_18xx_43xx.h.

__IO uint32_t ENDPTCOMPLETE

Endpoint complete

Definition at line 111 of file usbhs_18xx_43xx.h.

__IO uint32_t ENDPTCTRL[6]

Endpoint control 0

Definition at line 112 of file usbhs_18xx_43xx.h.

__IO uint32_t ENDPTFLUSH

Endpoint de-initialization

Definition at line 109 of file usbhs_18xx_43xx.h.

__IO uint32_t ENDPTNAK

Endpoint NAK (device mode)

Definition at line 92 of file usbhs_18xx_43xx.h.

__IO uint32_t ENDPTNAKEN

Endpoint NAK Enable (device mode)

Definition at line 93 of file usbhs_18xx_43xx.h.

__IO uint32_t ENDPTPRIME

Endpoint initialization

Definition at line 108 of file usbhs_18xx_43xx.h.

__IO uint32_t ENDPTSETUPSTAT

Endpoint setup status

Definition at line 107 of file usbhs_18xx_43xx.h.

__I uint32_t ENDPTSTAT

Endpoint status

Definition at line 110 of file usbhs_18xx_43xx.h.

__I uint32_t FRINDEX_D

USB frame index (device mode)

Definition at line 72 of file usbhs_18xx_43xx.h.

__IO uint32_t FRINDEX_H

USB frame index (host mode)

Definition at line 71 of file usbhs_18xx_43xx.h.

__I uint32_t HCCPARAMS

Host controller capability parameters

Definition at line 51 of file usbhs_18xx_43xx.h.

__I uint32_t HCSPARAMS

Host controller structural parameters

Definition at line 50 of file usbhs_18xx_43xx.h.

__IO uint32_t OTGSC

OTG status and control

Definition at line 101 of file usbhs_18xx_43xx.h.

__IO uint32_t PERIODICLISTBASE

Frame list base address

Definition at line 77 of file usbhs_18xx_43xx.h.

__IO uint32_t PORTSC1_D

Port 1 status/control (device mode)

Definition at line 97 of file usbhs_18xx_43xx.h.

__IO uint32_t PORTSC1_H

Port 1 status/control (host mode)

Definition at line 96 of file usbhs_18xx_43xx.h.

__I uint32_t RESERVED0[64]

< USB Structure

Definition at line 48 of file usbhs_18xx_43xx.h.

__I uint32_t RESERVED1[5]

Definition at line 52 of file usbhs_18xx_43xx.h.

__I uint32_t RESERVED2[7]

Definition at line 54 of file usbhs_18xx_43xx.h.

__I uint32_t RESERVED3

Definition at line 75 of file usbhs_18xx_43xx.h.

__I uint32_t RESERVED4[2]

Definition at line 89 of file usbhs_18xx_43xx.h.

__I uint32_t RESERVED5

Definition at line 94 of file usbhs_18xx_43xx.h.

__I uint32_t RESERVED6[7]

Definition at line 100 of file usbhs_18xx_43xx.h.

__IO uint32_t TTCTRL

Asynchronous buffer status for embedded TT (host mode)

Definition at line 86 of file usbhs_18xx_43xx.h.

__IO uint32_t TXFILLTUNING

Host transmit pre-buffer packet tuning (host mode)

Definition at line 88 of file usbhs_18xx_43xx.h.

__IO uint32_t ULPIVIEWPORT

ULPI viewport

Definition at line 90 of file usbhs_18xx_43xx.h.

__IO uint32_t USBCMD_D

USB command (device mode)

Definition at line 57 of file usbhs_18xx_43xx.h.

__IO uint32_t USBCMD_H

USB command (host mode)

Definition at line 56 of file usbhs_18xx_43xx.h.

__IO uint32_t USBINTR_D

USB interrupt enable (device mode)

Definition at line 67 of file usbhs_18xx_43xx.h.

__IO uint32_t USBINTR_H

USB interrupt enable (host mode)

Definition at line 66 of file usbhs_18xx_43xx.h.

__IO uint32_t USBMODE_D

USB mode (device mode)

Definition at line 104 of file usbhs_18xx_43xx.h.

__IO uint32_t USBMODE_H

USB mode (host mode)

Definition at line 103 of file usbhs_18xx_43xx.h.

__IO uint32_t USBSTS_D

USB status (device mode)

Definition at line 62 of file usbhs_18xx_43xx.h.

__IO uint32_t USBSTS_H

USB status (host mode)

Definition at line 61 of file usbhs_18xx_43xx.h.

The documentation for this struct was generated from the following file:

- C:/w/lpcopen_docs/software/lpc_core/lpc_chip/chip_18xx_43xx/usbhs_18xx_43xx.h